# Time_Value.inl File Reference

This graph shows which files directly or indirectly include this file:

## Functions

ACE_INLINE ACE_Time_Value | operator * (double d, const ACE_Time_Value &tv)
ACE_INLINE ACE_Time_Value | operator * (const ACE_Time_Value &tv, double d)
ACE_INLINE bool | operator> (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE bool | operator>= (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE bool | operator< (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE bool | operator<= (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE bool | operator== (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE bool | operator!= (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE ACE_Time_Value | operator+ (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE ACE_Time_Value | operator- (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)

## Function Documentation

ACE_INLINE ACE_Time_Value operator * | ( | const ACE_Time_Value & | tv,
|  | double | d
| ) |

ACE_INLINE ACE_Time_Value operator * | ( | double | d,
|  | const ACE_Time_Value & | tv
| ) |

ACE_INLINE bool operator!= | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE ACE_Time_Value operator+ | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE ACE_Time_Value operator- | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE bool operator< | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE bool operator<= | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE bool operator== | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE bool operator> | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE bool operator>= | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |